package _09_类型转换;

public class Test {
    public static void main(String[] args) {
        /**
         * 类型转换
         * 隐士转换
         * 小类型 ->  大的类型
         *
         * 强制转换
         * 大的类型 -> 小的类型
         *
         * 隐士转换是默认支持
         *
         * 强制转换不支持
         */
        // byte小 -> int  大
        // float 小-> double 大
        byte a = 10;
        int b  = a;
        System.out.println(b);

        double d = 3.14f;
        System.out.println(d);

        // double 大  -> int  小
        // 强制转换
        // 目标数据类型  变量名字  = (目标数据类型) 被转换数据
        int c = (int) 3.14;
        System.out.println(c);

        char ch = 'a';
        int g = 1;
        int result = ch + g;
        System.out.println(result);


    }
}
